<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Button?>
<?import javafx.scene.control.ComboBox?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.ScrollPane?>
<?import javafx.scene.image.Image?>
<?import javafx.scene.image.ImageView?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane prefHeight="400.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/11.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="sample.TeacherWindowController">
   <children>
      <ImageView fitHeight="400.0" fitWidth="600.0" pickOnBounds="true" preserveRatio="true">
         <image>
            <Image url="@ikone/pozadina.jpg" />
         </image>
      </ImageView>
      <Button layoutX="80.0" layoutY="250.0" mnemonicParsing="false" onAction="#dodajNastavnikaButton" prefWidth="180.0" style="-fx-background-color: #B39374;" text="Dodaj novog nastavnika" textFill="WHITE" />
      <Button layoutX="80.0" layoutY="150.0" mnemonicParsing="false" onAction="#izmijeniNastavnikaButton" prefWidth="180.0" style="-fx-background-color: #B39374;" text="Izmijeni nastavnika" textFill="WHITE" />
      <Button layoutX="80.0" layoutY="200.0" mnemonicParsing="false" onAction="#obrisiNastavnikaButton" prefWidth="180.0" style="-fx-background-color: #B39374;" text="Obrisi nastavnika" textFill="WHITE" />
      <Label layoutX="300.0" layoutY="80.0" text="Nastavnici:" />
      <ScrollPane fx:id="TeacherScrollPane" layoutX="300.0" layoutY="100.0" onKeyTyped="#onKeyTyped" prefHeight="200.0" prefWidth="200.0">
         <content>
            <AnchorPane minHeight="0.0" minWidth="0.0" opacity="0.6" prefHeight="200.0" prefWidth="200.0" style="-fx-background-color: #D6BCA2;" />
         </content>
      </ScrollPane>
      <Label layoutX="80.0" layoutY="80.0" text="Odaberi usmjerenje:" />
      <ComboBox fx:id="usmjerenjeComboBox" layoutX="80.0" layoutY="100.0" onAction="#setTeachers" prefHeight="26.0" prefWidth="180.0" style="-fx-background-color: #B39374;" />
      <Button layoutX="190.0" layoutY="300.0" mnemonicParsing="false" onAction="#nazad" prefWidth="70.0" style="-fx-background-color: #B39374;" text="Nazad" textFill="WHITE" />
   </children>
</AnchorPane>
